> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trio.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# List Counterparty Recipients

> List the recipients of a counterparty



## OpenAPI

````yaml api-reference/banking-api/openapi.json GET /counterparties/{counterparty_id}/recipients
openapi: 3.0.0
info:
  title: Banking API
  version: 1.0.0
servers:
  - url: https://api.sandbox.trio.com.br
    variables: {}
  - url: https://api.qa.trio.com.br
    variables: {}
  - url: https://api.trio.com.br
    variables: {}
security: []
tags: []
paths:
  /counterparties/{counterparty_id}/recipients:
    get:
      tags:
        - v2 counterparty recipients
      summary: List counterparty recipients
      description: Lists the recipients of a counterparty
      operationId: TrioFoundationWeb.V2.CounterpartyRecipientController.index
      parameters:
        - description: Counterparty ID
          in: path
          name: counterparty_id
          required: true
          schema:
            $ref: '#/components/schemas/UUID'
        - description: >-
            Parameter used for pagination. It is a base64 encoded param used to
            access the previous page of results.
          in: query
          name: before
          required: false
          schema:
            type: string
        - description: >-
            Parameter used for pagination. It is a base64 encoded param used to
            access the next page of results.
          in: query
          name: after
          required: false
          schema:
            type: string
        - description: Limit
          in: query
          name: limit
          required: false
          schema:
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Counterparty_recipient_list_response'
          description: CounterpartyRecipient
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/401'
          description: Unauthorized
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/500'
          description: Internal server error
      callbacks: {}
components:
  schemas:
    '401':
      example:
        error:
          error_code: UNAUTHORIZED
          error_message: Invalid credentials
      properties:
        error:
          properties:
            error_code:
              description: Error code
              type: string
            error_message:
              description: Error message
              type: string
          type: object
      title: '401'
      type: object
    '500':
      example:
        error:
          error_code: INTEGRATION_ERROR
          error_message: An unexpected issue occurred
      properties:
        error:
          properties:
            error_code:
              description: Error code
              type: string
            error_message:
              description: Error message
              type: string
          type: object
      title: '500'
      type: object
    UUID:
      description: Unique identifier
      format: uuid
      title: UUID
      type: string
    Counterparty_recipient_list_response:
      description: Counterparty recipient list response
      type: object
      properties:
        data:
          items:
            $ref: '#/components/schemas/Counterparty_recipient_data'
          type: array
        metadata:
          type: object
          properties:
            after:
              nullable: true
              type: string
            before:
              nullable: true
              type: string
            has_more:
              type: boolean
      example:
        data:
          - id: 1fb05245-a185-0ec1-2661-3390353a35e3
            ref_type: pix_key
            pix_key: some-pix-key
            counterparty:
              id: 018df099-093e-cfd1-4500-4c9392eb5d8a
              name: Random
              tax_number: '34842155000197'
            bank_account: null
        metadata:
          after: null
          before: null
          has_more: false
      title: Counterparty recipient list response
    Counterparty_recipient_data:
      description: Body response of the counterparty recipient
      type: object
      properties:
        id:
          $ref: '#/components/schemas/UUID'
        ref_type:
          description: How the recipient is referenced
          enum:
            - pix_key
            - bank_account_detailed
          type: string
        pix_key:
          description: Pix key
          nullable: true
          type: string
        counterparty:
          $ref: '#/components/schemas/Counterparty_recipient_counterparty_data'
        bank_account:
          $ref: '#/components/schemas/Counterparty_recipient_bank_account_data'
      example:
        id: 1fb05245-a185-0ec1-2661-3390353a35e3
        ref_type: pix_key
        pix_key: some-pix-key
        counterparty:
          id: 018df099-093e-cfd1-4500-4c9392eb5d8a
          name: Random
          tax_number: '34842155000197'
        bank_account: null
      title: Counterparty recipient data
    Counterparty_recipient_counterparty_data:
      description: Counterparty recipient counterparty data
      type: object
      properties:
        id:
          $ref: '#/components/schemas/UUID'
        name:
          description: Name of the counterparty
          type: string
        tax_number:
          description: Tax number of the counterparty
          type: string
      example:
        id: 018df099-093e-cfd1-4500-4c9392eb5d8a
        name: Random
        tax_number: '34842155000197'
      title: Counterparty recipient counterparty data
    Counterparty_recipient_bank_account_data:
      description: Counterparty recipient bank account data
      type: object
      nullable: true
      properties:
        ispb:
          description: Bank account ispb
          type: string
        branch:
          description: Bank account branch
          type: string
        number:
          description: Bank account number
          type: string
        digit:
          description: Bank account digit
          type: string
        type:
          description: Bank account type
          enum:
            - checking
            - payment
            - salary
            - savings
          type: string
      example:
        ispb: '12345678'
        branch: '0001'
        number: '87654321'
        digit: '1'
        type: checking
      title: Counterparty recipient bank account data

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.